package com.ssj.service.conch;


import com.ssj.bean.conch.conch.domain.ConchDerver;
import com.ssj.service.conch.conch.service.ConchDerverMapperService;
import com.ssj.service.mapper.ConchDerverMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * @author yangcan
 * 类描述:小塾mybatis查询接口
 * 创建时间:2019/7/31 18:07
 */
@Service
public class ConchDerverMapperServiceImpl  implements ConchDerverMapperService {

	@Autowired
	private ConchDerverMapper conchDerverMapper;

	@Override
	public List<ConchDerver> findAllConchDerver() {
		return conchDerverMapper.findAllConchDerver();
	}

	@Override
	public Map<String, Object> findByDerver(String derver) {
		return conchDerverMapper.findByDerver(derver);
	}

	@Override
	public List<Map<String, Object>> findDerverBySelective(Map<String, Object> paramsMap) {
		return conchDerverMapper.findDerverBySelective(paramsMap);
	}
}
